Package org.eclipse.emf.cdo.session

## Interface CDOSessionConfiguration.SessionOpenedEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    CDOSessionConfiguration

      public static interface CDOSessionConfiguration.SessionOpenedEvent
      extends org.eclipse.net4j.util.event.IEvent

  Fired from a `session configuration` after a new `session` has been opened.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOSession` | `getOpenedSession()` |
    `CDOSessionConfiguration` | `getSource()` |

- - ### Method Detail

    - #### getSource

          CDOSessionConfiguration getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

    - #### getOpenedSession

          CDOSession getOpenedSession()